Description

If the done ratio is not linked to the issue status, the done ratio must be manually updated when the issue is closed.

This plugin supports my opinion.

https://github.com/phqsh/redmine_issue_completion

Related issues:

Copied to Redmine - Defect #36291: Issue done ratio is not updated after clos... New

History

#1 - 2020-09-21 09:24 - vzvu 3k6k

- File 33894.patch added

Here is a patch, written by Mizuki ISHIKAWA, juno-nishizaki and me.

#2 - 2020-09-21 10:02 - vzvu 3k6k

Sorry, I've found some tests fail on this patch. We'll fix this later.

#3 - 2020-10-24 09:41 - vzvu 3k6k

- File 33894-v2.patch added

It turned out that a condition in `done_ratio_editable?` was wrong.

I have attached a fixed patch.

#4 - 2020-10-24 10:16 - Go MAEDA

Thank you for posting the patch but I think the behavior that status is set to 100% on the edit page is sometimes problematic.

Suppose the following senario.

1. A user mistakenly select "Closed" status. The done ratio is immediately changed to 100%

2. Actually, the user wants to set the status to "In progress". So, the user re-select the status

3. Altough the issue is not going to be closed, done ratio remains at 100%

Probably The user does not want the done ratio to be updated to 100%.

#5 - 2021-12-08 12:14 - Julia Kulpina

- Copied to Defect #36291: Issue done ratio is not updated after closing duplicate issue added

Files

33894.patch 6.74 KB 2020-09-21 vzvu 3k6k

33894-v2.patch 7.1 KB 2020-10-24 vzvu 3k6k
